Documents
Retrieves a paginated list of documents for the specified project, optionally filtered and sorted.
Bearer authentication with JWT
truefalsetrueOK
Bad Request
Unauthorized
Forbidden
GET /projects/{projectIdentifier}/documents HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}
],
"totalCount": 1
}Uploads a new document to the specified project.
Bearer authentication with JWT
OK
Bad Request
Unauthorized
Forbidden
POST /projects/{projectIdentifier}/documents?documentUploadIdentifier=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 140
{
"file": "binary",
"ocrEngine": "azureDocumentIntelligence",
"ocrStrategy": "never",
"coordinateExtractionStrategy": "never",
"metadataJson": "text"
}{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Records a failed document upload attempt for the specified project.
Bearer authentication with JWT
OK
Bad Request
Unauthorized
Forbidden
POST /projects/{projectIdentifier}/documents/failed HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 185
{
"fileName": "text",
"contentType": "text",
"size": 1,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Marks a partial document upload as failed in the specified project.
Bearer authentication with JWT
OK
Unauthorized
Forbidden
Not Found
POST /projects/{projectIdentifier}/documents/{documentObjectIdentifier}/failed-chunk HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Creates an empty document record in the specified project.
Bearer authentication with JWT
OK
Bad Request
Unauthorized
Forbidden
POST /projects/{projectIdentifier}/documents/empty HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 354
{
"metadataJson": "text",
"uploadSettings": {
"ocrEngine": "azureDocumentIntelligence",
"ocrStrategy": "never",
"coordinateExtractionStrategy": "never"
},
"fileName": "text",
"contentType": "text",
"documentUploadIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"source": "local",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"resourceOwnerId": "text"
}{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Uploads a new assistant document to the specified project.
Bearer authentication with JWT
OK
Bad Request
Unauthorized
Forbidden
POST /projects/{projectIdentifier}/documents/assistant?documentUploadIdentifier=123e4567-e89b-12d3-a456-426614174000 HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: multipart/form-data
Accept: */*
Content-Length: 140
{
"file": "binary",
"ocrEngine": "azureDocumentIntelligence",
"ocrStrategy": "never",
"coordinateExtractionStrategy": "never",
"metadataJson": "text"
}{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Creates an empty assistant document record in the specified project.
Bearer authentication with JWT
OK
Bad Request
Unauthorized
Forbidden
POST /projects/{projectIdentifier}/documents/empty-assistant HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 354
{
"metadataJson": "text",
"uploadSettings": {
"ocrEngine": "azureDocumentIntelligence",
"ocrStrategy": "never",
"coordinateExtractionStrategy": "never"
},
"fileName": "text",
"contentType": "text",
"documentUploadIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"source": "local",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"resourceOwnerId": "text"
}{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Appends a chunk to a partially uploaded document.
Bearer authentication with JWT
falseOK
No Content
Bad Request
Unauthorized
Forbidden
Not Found
POST /projects/{projectIdentifier}/documents/{objectIdentifier}/append-chunk HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Creates a new folder in the specified project.
Bearer authentication with JWT
OK
Bad Request
Unauthorized
Forbidden
POST /projects/{projectIdentifier}/documents/folder HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}Downloads a document file by its object identifier.
Bearer authentication with JWT
trueOK
Unauthorized
Forbidden
Not Found
GET /projects/{projectIdentifier}/documents/{objectIdentifier}/download HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryDownloads a document file stream by its object identifier.
Bearer authentication with JWT
OK
Unauthorized
Forbidden
Not Found
GET /projects/{projectIdentifier}/documents/{objectIdentifier}/download-stream HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryDownloads a document file stream by its object identifier.
Bearer authentication with JWT
OK
Unauthorized
Forbidden
Not Found
HEAD /projects/{projectIdentifier}/documents/{objectIdentifier}/download-stream HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryRetrieves a document by its object identifier.
Bearer authentication with JWT
OK
Unauthorized
Forbidden
Not Found
GET /projects/{projectIdentifier}/documents/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Updates a document by its object identifier.
Bearer authentication with JWT
OK
Bad Request
Unauthorized
Forbidden
Not Found
PUT /projects/{projectIdentifier}/documents/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 79
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}Deletes a document by its object identifier.
Bearer authentication with JWT
No Content
No content
Bad Request
Unauthorized
Forbidden
Not Found
DELETE /projects/{projectIdentifier}/documents/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Updates a folder by its object identifier.
Bearer authentication with JWT
OK
Bad Request
Unauthorized
Forbidden
Not Found
PUT /projects/{projectIdentifier}/documents/folder/{objectIdentifier} HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 151
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}Returns a collection of documents which are descendents of given objectIdentifiers
Bearer authentication with JWT
OK
Unauthorized
Forbidden
Not Found
POST /projects/{projectIdentifier}/documents/query-all-children HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"ids": [
"123e4567-e89b-12d3-a456-426614174000"
]
}[
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}
]Retrieves a paginated list of folders for the specified project with indication of subfolders.
Bearer authentication with JWT
1trueOK
Unauthorized
Forbidden
GET /projects/{projectIdentifier}/documents/folders HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"name": "text",
"parentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"isDirectory": true,
"documentUploadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"contentType": "text",
"size": 1,
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"dateAdded": "2026-01-01T00:00:00.000Z",
"uploadSuccessful": true,
"tokenCount": 1,
"metadataTokenCount": 1,
"indexingNotPossible": true,
"unsupportedFileType": true,
"unPackingComplete": true,
"unPackingFailed": true,
"uploadInProgress": true,
"url": "text",
"hasChildren": true,
"isSystemFolder": true,
"extension": "text",
"convertedToPdf": true,
"fileType": "unknown",
"uploadFailedReason": "outOfMemory",
"resourceOwner": {
"email": "text",
"name": "text",
"id": "text"
},
"progress": 1,
"path": "text",
"parent": {
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
},
"ocrStrategy": "never",
"ocrEngine": "azureDocumentIntelligence",
"coordinateExtractionStrategy": "never",
"documentUploadSource": "local",
"pageCount": 1,
"ocrCreditsCost": 1,
"layoutCreditsCost": 1,
"metadata": [
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"value": "text"
}
]
}
],
"totalCount": 1
}Retrieves the breadcrumb trail for a document from root to the specified document.
Bearer authentication with JWT
OK
Unauthorized
Forbidden
Not Found
GET /projects/{projectIdentifier}/documents/{objectIdentifier}/breadcrumbs HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"objectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"name": "text",
"isDirectory": true
}
]Re-trigger document processing for a specific document
Bearer authentication with JWT
Accepted
No content
Bad Request
Unauthorized
Forbidden
Not Found
POST /projects/{projectIdentifier}/documents/{objectIdentifier}/re-index HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"ocrEngine": "azureDocumentIntelligence",
"ocrStrategy": "never",
"coordinateExtractionStrategy": "never"
}No content
Re-triggers document processing for every failed document in the specified upload session.
Bearer authentication with JWT
Accepted
No content
Bad Request
Unauthorized
Forbidden
Not Found
POST /projects/{projectIdentifier}/documents/retry-failed-upload HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 102
{
"ocrEngine": "azureDocumentIntelligence",
"ocrStrategy": "never",
"coordinateExtractionStrategy": "never"
}No content
Updates the parent folder for a list of documents
Bearer authentication with JWT
OK
No content
Bad Request
Unauthorized
Forbidden
Not Found
POST /projects/{projectIdentifier}/documents/bulk-move HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 135
{
"newParentObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000",
"objectIdentifiersToMove": [
"123e4567-e89b-12d3-a456-426614174000"
]
}No content
Creates a background download that zips the selected documents and folders, preserving folder structure.
Bearer authentication with JWT
Accepted
Bad Request
Unauthorized
Forbidden
POST /projects/{projectIdentifier}/documents/bulk-download HTTP/1.1
Host: api.example.uk.jylo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 76
{
"objectIdentifiers": [
"123e4567-e89b-12d3-a456-426614174000"
],
"name": "text"
}{
"downloadObjectIdentifier": "123e4567-e89b-12d3-a456-426614174000"
}Last updated
